#ifndef __MOBILE
#define __MOBILE

#include <vector>
#include "point3d.hpp"

#define MOB_AM 40

struct Mobile{
public:
	Point3d pos;
	Point3d vel;
	Point3d rot;
	Point3d torque;
	Mobile(Point3d vpos,Point3d vvel,Point3d vrot, Point3d vtorque):
		pos{vpos},vel{vvel},rot{vrot},torque{vtorque}{};
};

void mobileInit(std::vector<Mobile>&, Point3d);
	
void mobileUpdate(std::vector<Mobile>&, double dt);

void drawMobiles(std::vector<Mobile>&, unsigned int);

#endif
